package domain


type AlibabaWdkSkuChannelskuUpdateApiResult struct {
    /*
        单个商品     */
    Model  *string `json:"model,omitempty" `

    /*
        errMsg     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        errCode     */
    ErrCode  *string `json:"err_code,omitempty" `

}

func (s *AlibabaWdkSkuChannelskuUpdateApiResult) SetModel(v string) *AlibabaWdkSkuChannelskuUpdateApiResult {
    s.Model = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateApiResult) SetErrMsg(v string) *AlibabaWdkSkuChannelskuUpdateApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateApiResult) SetSuccess(v bool) *AlibabaWdkSkuChannelskuUpdateApiResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuUpdateApiResult) SetErrCode(v string) *AlibabaWdkSkuChannelskuUpdateApiResult {
    s.ErrCode = &v
    return s
}
